Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.output.io.rotate
Interface RotateStrategy

All Known Implementing Classes:
  OrRotateStrategy, RotateStrategyBySize, RotateStrategyByTime

    public interface RotateStrategy

Strategy that checks condition under which file rotation is needed.

Author:
  Bernhard Huber

Method Summary
`boolean` | `isRotationNeeded(String data, File file)` Check if a log rotation is neccessary at this time.
`void` | `reset()` reset cumulative rotation history data.

Method Detail

### reset

    void reset()

  reset cumulative rotation history data. Called after rotation.

### isRotationNeeded

    boolean isRotationNeeded(String data,
                             File file)

  Check if a log rotation is neccessary at this time.

  Parameters:
    `data` - the serialized version of last message written to the log system
    `file` - the File that we are writing to
  Returns:
    boolean return true if log rotation is neccessary, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.